# ovim primerom se demonstrira kako se može primenom funkcija za generisanje
# različitih oblika može iscrtati kućica na ekranu. 

import pygame, random, math  #uključujemo biblioteke programskog jezika python potrebne za rad 

pygame.init()  #inicijalizacija biblioteke pygame (obično na početku programa)

#definišemo boje koje koristimo u programu

BELA = (255, 255, 255)
CRVENA = (255, 0, 0)
ZELENA = (0, 255, 0)
PLAVA = (20, 100, 255)
ZUTA = (240, 240, 40)
CRNA = (0,0,0)
BRAON = (190,42,42)

#definišemo dimenzije ekrana
sirina = 500
visina = 500

#ispis u zaglavlju prozora
pygame.display.set_caption("Kućica")

#poziv funkcije za generisanje ekrana / prozora
ekran = pygame.display.set_mode((sirina, visina))

#poziv funkcija koje iscrtavaju pozadinu (nebo i travu)
pygame.draw.rect(ekran, PLAVA, (0, 0, 500, 350),  0)
pygame.draw.rect(ekran, ZELENA, (0, 350, 500, 150),  0)
#poziv funkcije koja iscrtava sunce
pygame.draw.circle(ekran, ZUTA, (90, 90), 40,  0)
#poziv funkcija koje crtaju kucicu
pygame.draw.rect(ekran, BELA, (200, 250, 200, 200),  0)
#poziv funkcije koja crta krov
pygame.draw.polygon(ekran, CRVENA, [(200, 250), (400, 250), (300, 100)],  0)
#poziv funkcija koje crtaju vrata i prozor
pygame.draw.rect(ekran, CRNA, (300, 350, 60, 100),  0)
pygame.draw.rect(ekran, BRAON, (230, 270, 50, 50),  0)

#poziv funkcije za prikaz promene na ekranu
pygame.display.flip()

kraj = False
while not kraj: #glavna petlja
    for dogadjaj in pygame.event.get(): #petlja obrade događaja
        if dogadjaj.type == pygame.QUIT:
            kraj = True

    
pygame.quit()  #isključivanje biblioteke pygame (obično na kraju programa)
