# primer demonstrira kako napraviti jednostavnu animaciju. cilj animacije je da se loptica kreće
# u okviru ekrana i da se kada "udari" o ivicu ekrana vrati unazad.
import pygame
#početak 
pygame.init()

# zadavanje boja
BELA = (255, 255, 255)
CRNA = (0, 0, 0)

# zadavanje dimenzija ekrana i generisanje ekrana datih dimanzija
dim = (sirina, visina) = (400, 450)
ekran = pygame.display.set_mode(dim)

# sat je sistemski objekat koji usporava brzinu izvršavanja glavne petlje programa
clock = pygame.time.Clock()

# zadavanje koordinata centra kruga
(x, y) = (sirina // 2, visina // 2)
#vrednost promene koordinata
(dx, dy) = (5, 5)
r = 30

# početa glavne petlje programa
kraj = False
while not kraj:
    ekran.fill(BELA)
    pygame.draw.circle(ekran, CRNA, (x, y), r)
    pygame.display.flip()

    for dogadjaj in pygame.event.get():
        if dogadjaj.type == pygame.QUIT:
            kraj = True

    x += dx
    y += dy
    #proveravamo da li se loptica nalazi unutar samog ekrana i kada dodje do ivice ekrana menjaju se tekuće koordinate centra
    if x - r < 0 or x + r > sirina:
        dx = -dx
    if y - r < 0 or y + r > visina:
        dy = -dy

    
     # podešavanje sata       
    clock.tick(40)
# kraj programa
pygame.quit()
