# cilj ovog programa je da se generiše ekran koji je podloga za pisanje dok
# je klik na levi taster misa olovka koja ostavlja trag
import pygame, random
#definisemo boju koju koristimo, u ovom primeru belom bojom bojimo ekran, a olovka
# ostavlja crni trag
BELA = (255, 255, 255)
CRNA = (0, 0, 0)
#pocetak
pygame.init()
#definisanje sirine i visine ekrana
visina = 400
sirina = 500
ekran = pygame.display.set_mode((visina, sirina))
ekran.fill(BELA)
pygame.display.update()
#glavna petlja
kraj = False
while not kraj:
    for dogadjaj in pygame.event.get():
        print(dogadjaj)
        if dogadjaj.type == pygame.QUIT:
            kraj = True
        
        if dogadjaj.type == pygame.MOUSEMOTION:
        # ukoliko se pritisnuto levo dugme misa (provera uslova: dogadjaj.buttons[0] == 1)
        # onda ce se u uredjenom paru (px,py) zabeleziti trenutne koordinate misa, a u uredjenom paru
        # (rx, ry) upisujemo vrednosti koje vraca funkcija dogadjaj.rel. ova funkcija vraca za koliko su se promenile
        # koordinate polozaja misa od prethodnog pomeranja do ovog momenta.
            if dogadjaj.buttons[0] == 1:
                (px, py) = dogadjaj.pos
                (rx, ry) = dogadjaj.rel
                # ostavljanje traga olovke prilikom kretanja misa postizemo tako sto iscrtavamo linije (tacnije duzi)
                # kojima je pocetak tacka sa koordinatama (px, py), a kraj tacka sa koordinatama (px + rx, py + ry)
                pygame.draw.line(ekran, CRNA, (px, py), (px + rx, py + ry), 2)
                pygame.display.update()

pygame.quit()
