import pygame, math, random

#funkcija kojom se generiše nasumična boja
def slucajna_boja():
    return (random.randint(0, 255), random.randint(0, 255), random.randint(0, 255))

BELA = (255, 255, 255)
CRNA = (0, 0, 0)

#definisanje funkcije za generisanje i crtanje kruga čiji poluprečnik zavisi od broja krugova na dijagonali
def krugovi_na_dijagonali(n):
    r = d / (2 * n)
    kx = (r*sirina) / d
    ky = (r*visina) / d
    ekran.fill(BELA)
    for i in range(n):
        pygame.draw.circle(ekran, slucajna_boja(), (int((2*i+1)*kx), visina - int((2*i+1)*ky)), int(r), 2)
    pygame.display.update()
    

pygame.init()

visina = 400
sirina = 500
#ispis u zaglavlju prozora
pygame.display.set_caption("Krugovi na dijagonali!")
ekran = pygame.display.set_mode((sirina, visina))
#dužina dijagonale ekrana
d = math.sqrt(sirina**2 + visina**2)

#inicijalizacija broja krigova na dijagonali na 10
n = 10
#generisanje i iscrtavanje krugova na dijagonali sa datim brojem krugova na samom početku
krugovi_na_dijagonali(n)

sat = pygame.time.Clock()

kraj = False
while not kraj:
    for dogadjaj in pygame.event.get():
        if dogadjaj.type == pygame.QUIT:
            kraj = True
        #provera koje dugme miša je pritusnuto i obrada dva dugmeta (levi i desni)
        if dogadjaj.type == pygame.MOUSEBUTTONDOWN:
            #oznaka za levi taster miša je 1
            if dogadjaj.button == 1:
                n += 1
                krugovi_na_dijagonali(n)
            #oznaka za desni taster miša je 3
            if dogadjaj.button == 3 and n > 1:
                n -= 1
                krugovi_na_dijagonali(n)
    sat.tick(60)

pygame.quit()
