#ovim primerom se demonstrira kako se ekran moze prekriti odredenim slikama
# i kako se kada se klikne na neku od ovih slika misem ta ista slika zameni drugom slikom
# u prvom delu programa je iskoriscen kod iz primera slicice.py kako bi se staticki ekran prekrio
# slicicama (objasnjenje se nalazi u fajlu slicice.py)

import pygame

BELA = (255, 255, 255)

pygame.init()

visina = 600
sirina = 400
ekran = pygame.display.set_mode((sirina, visina))

slike = [["1", " ", "2"],
         ["2", "2", " "],
         [" ", "1", "1"]];

slika1 = pygame.image.load('starwars1.png').convert()
slika2 = pygame.image.load('starwars2.png').convert()
# slika1.set_colorkey(BELA)

slika_sirina = slika1.get_width()
slika_visina = slika1.get_height()

#početno postavljanje slika na ekran
y = 0
for vrsta in slike:
    x = 0
    for c in vrsta:
        if c == "1":
            ekran.blit(slika1, (x, y))
        elif c == "2":
            ekran.blit(slika2, (x, y))
        x += slika_sirina
    y += slika_visina

pygame.display.update()

# pocetak glavne petlje
kraj = False
while not kraj:
    for dogadjaj in pygame.event.get():
        if dogadjaj.type == pygame.QUIT:
            kraj = True
        # obradjujemo dogadjaj kada se misem klikne na slicicu
        if dogadjaj.type == pygame.MOUSEBUTTONDOWN:
            #uredjeni par (mx, my) inicijalizujemo na trenutne koordinate misa
            (mx, my) = dogadjaj.pos
            #uredjeni par (k,v) se inicijalizuje na poziciju misa u odgovarajucoj koloni, odnosno vrsti --
            # u redu ispred smo odredili u kojoj koloni, tj vrsti je kliknuto misem
            (k, v) = (mx // slika_sirina, my // slika_visina)
            # ako  vrednost promenljive v, koja je postavljena na vrednost vrste
            # u kojoj se trenutno nalazi zadovoljava navedene uslove (v je manje od ukupnog broja vrsta
            # slike) i ako k, promenljiva u kojoj se belezi kolona u kojoj se trenutno nalazi mis i ako je k manje od
            # duzine stringa kojim je obelezen raspored slika na mapi izvrsice se zamena slika.
            if v < len(slike) and k < len(slike[v]):
                if slike[v][k] == "1":
                    #print("Bilo 1")
                    #slika sa brojem 1 se menja u sliku broj 2, sto se postize upisivanjem novog karaktera u
                    # listu stringova kojom je opisan raspored slika. tacnije umesto karaktera 1 na trenutnoj
                    #poziciji upisace se karakter 2
                    slike[v][k] = "2"
                    #slika se prikazuje na ekranu navodjenjem slike koju zelimo da prikazemo u koordinata
                    # gornjeg levog ugla slike
                    ekran.blit(slika2, (k*slika_sirina, v*slika_visina))
                    pygame.display.update()
                elif slike[v][k] == "2":
                    #print("Bilo 2")
                    #slika sa brojem 2 se menja u sliku broj 1
                    slike[v][k] = "1"
                    #slika se prikazuje na ekranu navodjenjem slike koju zelimo da prikazemo u koordinata
                    # gornjeg levog ugla slike
                    ekran.blit(slika1, (k*slika_sirina, v*slika_visina))
                    pygame.display.update()
#kraj programa
pygame.quit()
