import pygame, math

BELA = (255, 255, 255)
CRVENA = (255, 0, 0)

pygame.init()

visina = 400
sirina = 500
ekran = pygame.display.set_mode((sirina, visina))
ekran.fill(BELA)

n = 10
d = int(math.sqrt(sirina**2 + visina**2))
r = d // (2 * n)
kx = (r*sirina) // d
ky = (r*visina) // d

for i in range(n):
    pygame.draw.circle(ekran, CRVENA, ((2*i+1)*kx, visina - (2*i+1)*ky), r, 3)
    
pygame.display.update()

kraj = False
while not kraj:
    for dogadjaj in pygame.event.get():
        if dogadjaj.type == pygame.QUIT:
            kraj = True

pygame.quit()
