import pygame

BELA = (255, 255, 255)

pygame.init()

visina = 600
sirina = 400
ekran = pygame.display.set_mode((sirina, visina))

slike = [["1", " ", "2"],
         ["2", "2", " "],
         [" ", "1", "1"]];

slika1 = pygame.image.load('starwars1.png').convert()
slika2 = pygame.image.load('starwars2.png').convert()
# slika1.set_colorkey(BELA)

slika_sirina = slika1.get_width()
slika_visina = slika1.get_height()

#početno postavljanje slika na ekran
y = 0
for vrsta in slike:
    x = 0
    for c in vrsta:
        if c == "1":
            ekran.blit(slika1, (x, y))
        elif c == "2":
            ekran.blit(slika2, (x, y))
        x += slika_sirina
    y += slika_visina

pygame.display.update()

kraj = False
while not kraj:
    for dogadjaj in pygame.event.get():
        if dogadjaj.type == pygame.QUIT:
            kraj = True
        if dogadjaj.type == pygame.MOUSEBUTTONDOWN:
            (mx, my) = dogadjaj.pos
            (k, v) = (mx // slika_sirina, my // slika_visina)
            if v < len(slike) and k < len(slike[v]):
                if slike[v][k] == "1":
                    print("Bilo 1")
                    slike[v][k] = "2"
                    ekran.blit(slika2, (k*slika_sirina, v*slika_visina))
                    pygame.display.update()
                elif slike[v][k] == "2":
                    print("Bilo 2")
                    slike[v][k] = "1"
                    ekran.blit(slika1, (k*slika_sirina, v*slika_visina))
                    pygame.display.update()
                    
pygame.quit()
